Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 469032 - ~dev-libs/libindicate-12.10.1 fails parallel install (/usr/bin/install: cannot create regular file ‘[...]/image//usr/include/libindicate-gtk3-0.7/libindicate-gtk/indicator.h’: File exists)
Summary: ~dev-libs/libindicate-12.10.1 fails parallel install (/usr/bin/install: canno...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-08 11:24 UTC by Derk W te Bokkel
Modified: 2019-08-05 19:10 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.71 KB, text/plain)
2013-05-08 11:25 UTC, Derk W te Bokkel
Details
environment file (environment,114.83 KB, text/plain)
2013-05-08 11:26 UTC, Derk W te Bokkel
Details
Patch to disable parallel install (disable-parallel-install.patch,453 bytes, patch)
2013-07-03 08:26 UTC, Alessandro Di Federico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derk W te Bokkel 2013-05-08 11:24:18 UTC
/usr/bin/install -c -m 644 indicator.h listener.h '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/include/libindicate-gtk3-0.7/libindicate-gtk'
 /usr/bin/install -c -m 644 indicator.h listener.h '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/include/libindicate-gtk3-0.7/libindicate-gtk'
 /bin/mkdir -p '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/lib64/pkgconfig'
/usr/bin/install: cannot create regular file ‘/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/include/libindicate-gtk3-0.7/libindicate-gtk/indicator.h’: File exists
make[2]: *** [install-libindicate_gtk3includeHEADERS] Error 1
make[2]: *** Waiting for unfinished jobs....
 /usr/bin/install -c -m 644 indicate-gtk3-0.7.pc '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/lib64/pkgconfig'

Reproducible: Always




 emerge --info libindicate
Portage 2.1.11.63 (default/linux/amd64/13.0, gcc-4.7.2, glibc-2.17, 3.9.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.9.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T5870_@_2.00GHz-with-gentoo-2.2
KiB Mem:     4007916 total,   2434720 free
KiB Swap:    8201176 total,   8201176 free
Timestamp of tree: Wed, 08 May 2013 10:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.4, 3.2.4
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo xfce-dev x-portage derk-personal
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask --autounmask-write --quiet-build=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/xfce-dev /usr/local/portage /home/derk/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac alsa amd64 apng archive avcodec avformat berkdb bzip2 cairo cdda cddb cdr cifs cli consolekit cracklib crypt cups cxx dbus dri dvd dvdr encode ffmpeg flac fortran fuse gallium gdbm gnutls gphoto2 gpm gstreamer gtk iconv id3tag ipv6 java jpeg jpeg2k lame lcms libnotify live mad mmx modules mp3 mpeg mudflap multilib ncurses nfs nls nptl ntp ogg opengl openmp openrc opus pam parted pcre pdf pm-utils png policykit postproc ppds qt4 readline samba scanner session sna sqlite sse sse2 ssl startup-notification svg tcpd theora threads tiff truetype twolame udev unicode v4l vdpau vorbis vpx wav webm wma wma-fixed x264 xcb xinerama xorg xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver" LINGUAS="en en_GB en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Derk W te Bokkel 2013-05-08 11:25:30 UTC
Created attachment 347740 [details]
build.log
Comment 2 Derk W te Bokkel 2013-05-08 11:26:35 UTC
Created attachment 347742 [details]
environment file
Comment 3 Mario Bachmann 2013-05-08 18:33:36 UTC
same here:
Failed to emerge dev-libs/libindicate-12.10.1

 /usr/bin/install -c -m 644 IndicateGtk3-0.7.typelib '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/lib64/girepository-1.0'
 /usr/bin/install -c -m 644 IndicateGtk3-0.7.vapi '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/share/vala/vapi'
/usr/bin/install: cannot create regular file ‘/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/include/libindicate-gtk3-0.7/libindicate-gtk/indicator.h’: File exists
make[2]: *** [install-libindicate_gtk3includeHEADERS] Error 1
make[2]: *** Waiting for unfinished jobs....
 /usr/bin/install -c -m 644 indicate-gtk3-0.7.pc '/var/tmp/portage/dev-libs/libindicate-12.10.1/image//usr/lib64/pkgconfig'


core ~ # emerge --info
Portage 2.1.11.63 (default/linux/amd64/13.0, gcc-4.7.2, glibc-2.17, 3.9.0 x86_64)
=================================================================
System uname: Linux-3.9.0-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16390984 total,  13071988 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Wed, 08 May 2013 17:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.4, 3.2.4
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo x-portage_overlay
ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -mcx16 -msahf -mno-movbe -maes -mpclmul -mpopcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mavx -msse4.2 -msse4.1 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -mcx16 -msahf -mno-movbe -maes -mpclmul -mpopcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mavx -msse4.2 -msse4.1 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=generic -O2 -pipe"
DISTDIR="/mnt/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.mirror.dkm.cz/pub/gentoo/ http://mirror.switch.ch/ftp/mirror/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.tiscali.nl/ http://mirror.ovh.net/gentoo-distfiles/ http://gentoo.inode.at/ http://ftp.fi.muni.cz/pub/linux/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ ftp://mirror.netcologne.de/gentoo/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://gentoo.lagis.at/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://gentoo.inode.at/source/ ftp://tux.rainside.sk/gentoo/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://mirror.ovh.net/gentoo-distfiles/ ftp://gentoo.mirror.dkm.cz/pub/gentoo/"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/mnt/gentoo/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage_overlay"
SYNC="rsync://server/portage"
USE="7zip X a52 aac acl acpi alsa amd64 berkdb bzip2 cairo cdparanoia cli cracklib crypt cups custom-cflags custom-cpuopts custom-cxxflags custom-optimization cxx dbus dri dvb dvd dvdr encode exif fam flac fortran g3dvl gdbm glitz gnutls gpm iconv ilbc imagemagick imlib ipv6 jpeg kpathsea lame lcms libsamplerate lm_sensors lzo mad mmx modules mp3 mudflap multilib ncurses nls nptl ogg openal opengl openmp pam pcre pdf png qt3support qt4 readline sdl session smp speex spell sse sse2 sse3 ssl ssse3 svg tcpd theora threads tiff truetype unicode usb v4l vdpau vorbis wmf x264 xcb xcomposite xine xinerama xml xulrunner xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="alias auth_basic authn_file authz_groupfile authz_host authz_user autoindex deflate dir filter ident log_config logio mime status" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="joystick keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2013-05-10 04:37:35 UTC
emake -j1 install works.
Comment 5 Alessandro Di Federico 2013-07-03 08:15:11 UTC
Confirm it works with -j1, attached simple patch.
Comment 6 Alessandro Di Federico 2013-07-03 08:26:50 UTC
Created attachment 352496 [details, diff]
Patch to disable parallel install
Comment 7 Anthony Basile gentoo-dev 2013-08-19 01:51:30 UTC
(In reply to Ryan Hill from comment #4)
> emake -j1 install works.

Just hit this.  We could add -j1 but isn't that a QA issue?
Comment 8 Michael Palimaka (kensington) gentoo-dev 2013-08-19 10:46:19 UTC
(In reply to Anthony Basile from comment #7)
> Just hit this.  We could add -j1 but isn't that a QA issue?

It's not necessarily a QA issue, but rather a hack/workaround. Having it until a real fix is found is better than it just failing.
Comment 9 Ryan Hill (RETIRED) gentoo-dev 2013-08-20 04:42:52 UTC
I don't think it's as important as parallel build.  There isn't much parallelism during install.

I tried to have a look but of course I can't get it to fail for the life of me anymore.
Comment 10 walt 2015-06-22 23:34:36 UTC
This bizarre problem is caused by using versions of vala > 0.24

I discovered this by accident because I recently removed vala-0.24 from my ~amd64 machine, thinking I didn't need it, but re-installing vala-0.24 fixed this build error in libindicate.  Weird.
Comment 11 Dennis Schridde 2015-06-23 07:58:57 UTC
Can the hack/workaround please be applied to the ebuild? After two years it is still broken…
Comment 12 Lars Wendler (Polynomial-C) gentoo-dev 2016-01-05 11:02:13 UTC
commit 95151dcbe6c3fc984904598c04d30e2fe43f568a
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Tue Jan 5 12:00:38 2016

    dev-libs/libindicate: Work around parallel installation bug (#469032)

    until a real fix is available.

    Package-Manager: portage-2.2.26
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>


Please keep this bug open until a real fix is available.